org.encog.app.generate.program

## Enum EncogArgType

- java.lang.Object
- - java.lang.Enum<EncogArgType>
  - - org.encog.app.generate.program.EncogArgType

- All Implemented Interfaces:
    Serializable, Comparable<EncogArgType>

      public enum EncogArgType
      extends Enum<EncogArgType>

  The type of argument.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Float` A floating point type.
    `Int` An int type.
    `ObjectType` An object type.
    `String` A string type.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EncogArgType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EncogArgType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### String

          public static final EncogArgType String

      A string type.

    - #### Float

          public static final EncogArgType Float

      A floating point type.

    - #### Int

          public static final EncogArgType Int

      An int type.

    - #### ObjectType

          public static final EncogArgType ObjectType

      An object type.

  - ### Method Detail

    - #### values

          public static EncogArgType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EncogArgType c : EncogArgType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EncogArgType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.